Reports
Retrieves all reports for a table
Enter your Workspace API key.
API keys can be generated and managed within the Workspace Integration settings in the Ninox app.
Module name
crmPattern: ^[a-z0-9_]+$Table name
contactsPattern: ^[a-z0-9_]+$Workspace ID
5rdco4s18swuPattern: ^[a-z0-9]+$Reports retrieved successfully
Unauthorized
Table not found
Internal server error
GET /api/v1/workspace/{workspaceId}/modules/{moduleName}/tables/{tableName}/reports HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"data": [
{
"fontFamily": "text",
"fontSize": 1,
"footHeight": 1,
"headHeight": 1,
"id": "text",
"inlineStyle": "text",
"labels": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"marginB": 1,
"marginL": 1,
"marginR": 1,
"marginT": 1,
"moduleName": "text",
"name": "text",
"objects": [
{
"backgroundColor": "text",
"base": "html",
"borderColor": "text",
"borderRadius": 1,
"borderStyle": "text",
"borderWidth": 1,
"expression": "text",
"fid": "text",
"file": "text",
"fn": "text",
"fontFamily": "text",
"fontSize": 1,
"fontStyle": "italic",
"fontWeight": "bold",
"h": 1,
"isAutoHeight": true,
"lineHeight": 1,
"paddingB": 1,
"paddingL": 1,
"paddingR": 1,
"paddingT": 1,
"position": "foot",
"showFoot": true,
"showHead": true,
"tableBorderStyle": 0,
"text": "text",
"textAlign": "center",
"textColor": "text",
"textDecoration": "underline",
"verticalAlign": "text",
"viewConfig": {
"columns": [
{
"agg": "text",
"conditionalStyling": [
{
"background": "text",
"cell": "text",
"color": "text",
"icon": "text",
"operand": "text",
"value": "text"
}
],
"field": "text",
"hidden": true,
"labels": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"order": 1,
"role": "text",
"width": 1
}
],
"conditionalFormatting": [
{
"backgroundColor": "text",
"bold": true,
"comparator": "contains",
"expression": "text",
"fieldName": "text",
"highlightColor": "text",
"icon": {
"color": "text",
"filling": 0,
"icon": "text"
},
"id": "text",
"italic": true,
"order": 1,
"strikethrough": true,
"target": "cell",
"textColor": "text",
"value": null
}
],
"filter": [
{
"field": "text",
"id": "text",
"operator": "text",
"value": "text"
}
],
"groupBy": [
{
"direction": "asc",
"fieldName": "text"
}
],
"search": "text",
"sort": {
"direction": "asc",
"fieldName": "text"
},
"viewType": "Calendar"
},
"w": 1,
"x": 1,
"y": 1
}
],
"paperHeight": 1,
"paperWidth": 1,
"printAttachments": true,
"tableName": "text"
}
]
}Creates a report (print layout) for a table. Omit objects to auto-generate a layout from the table's current fields, matching the report designer's automatic layout option.
Enter your Workspace API key.
API keys can be generated and managed within the Workspace Integration settings in the Ninox app.
Module name
crmPattern: ^[a-z0-9_]+$Table name
contactsPattern: ^[a-z0-9_]+$Workspace ID
5rdco4s18swuPattern: ^[a-z0-9]+$Default font family
Default font size
Footer height
20Header height
20Inline CSS applied to the report
Bottom page margin
20Left page margin
20Right page margin
20Top page margin
20Report name
Paper height
297Paper width
210Include row attachments when printing
Report created successfully
Unauthorized
Workspace, module or table not found
Internal server error
POST /api/v1/workspace/{workspaceId}/modules/{moduleName}/tables/{tableName}/reports HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1589
{
"fontFamily": "text",
"fontSize": 1,
"footHeight": 20,
"headHeight": 20,
"inlineStyle": "text",
"labels": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"marginB": 20,
"marginL": 20,
"marginR": 20,
"marginT": 20,
"name": "text",
"objects": [
{
"backgroundColor": "text",
"base": "html",
"borderColor": "text",
"borderRadius": 1,
"borderStyle": "text",
"borderWidth": 1,
"expression": "text",
"fid": "text",
"file": "text",
"fn": "text",
"fontFamily": "text",
"fontSize": 1,
"fontStyle": "italic",
"fontWeight": "bold",
"h": 1,
"isAutoHeight": true,
"lineHeight": 1,
"paddingB": 1,
"paddingL": 1,
"paddingR": 1,
"paddingT": 1,
"position": "foot",
"showFoot": true,
"showHead": true,
"tableBorderStyle": 0,
"text": "text",
"textAlign": "center",
"textColor": "text",
"textDecoration": "underline",
"verticalAlign": "text",
"viewConfig": {
"columns": [
{
"agg": "text",
"conditionalStyling": [
{
"background": "text",
"cell": "text",
"color": "text",
"icon": "text",
"operand": "text",
"value": "text"
}
],
"field": "text",
"hidden": true,
"labels": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"order": 1,
"role": "text",
"width": 1
}
],
"conditionalFormatting": [
{
"backgroundColor": "text",
"bold": true,
"comparator": "contains",
"expression": "text",
"fieldName": "text",
"highlightColor": "text",
"icon": {
"color": "text",
"filling": 0,
"icon": "text"
},
"id": "text",
"italic": true,
"order": 1,
"strikethrough": true,
"target": "cell",
"textColor": "text",
"value": null
}
],
"filter": [
{
"field": "text",
"id": "text",
"operator": "text",
"value": "text"
}
],
"groupBy": [
{
"direction": "asc",
"fieldName": "text"
}
],
"search": "text",
"sort": {
"direction": "asc",
"fieldName": "text"
},
"viewType": "Calendar"
},
"w": 1,
"x": 1,
"y": 1
}
],
"paperHeight": 297,
"paperWidth": 210,
"printAttachments": true
}{
"data": {
"fontFamily": "text",
"fontSize": 1,
"footHeight": 1,
"headHeight": 1,
"id": "text",
"inlineStyle": "text",
"labels": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"marginB": 1,
"marginL": 1,
"marginR": 1,
"marginT": 1,
"moduleName": "text",
"name": "text",
"objects": [
{
"backgroundColor": "text",
"base": "html",
"borderColor": "text",
"borderRadius": 1,
"borderStyle": "text",
"borderWidth": 1,
"expression": "text",
"fid": "text",
"file": "text",
"fn": "text",
"fontFamily": "text",
"fontSize": 1,
"fontStyle": "italic",
"fontWeight": "bold",
"h": 1,
"isAutoHeight": true,
"lineHeight": 1,
"paddingB": 1,
"paddingL": 1,
"paddingR": 1,
"paddingT": 1,
"position": "foot",
"showFoot": true,
"showHead": true,
"tableBorderStyle": 0,
"text": "text",
"textAlign": "center",
"textColor": "text",
"textDecoration": "underline",
"verticalAlign": "text",
"viewConfig": {
"columns": [
{
"agg": "text",
"conditionalStyling": [
{
"background": "text",
"cell": "text",
"color": "text",
"icon": "text",
"operand": "text",
"value": "text"
}
],
"field": "text",
"hidden": true,
"labels": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"order": 1,
"role": "text",
"width": 1
}
],
"conditionalFormatting": [
{
"backgroundColor": "text",
"bold": true,
"comparator": "contains",
"expression": "text",
"fieldName": "text",
"highlightColor": "text",
"icon": {
"color": "text",
"filling": 0,
"icon": "text"
},
"id": "text",
"italic": true,
"order": 1,
"strikethrough": true,
"target": "cell",
"textColor": "text",
"value": null
}
],
"filter": [
{
"field": "text",
"id": "text",
"operator": "text",
"value": "text"
}
],
"groupBy": [
{
"direction": "asc",
"fieldName": "text"
}
],
"search": "text",
"sort": {
"direction": "asc",
"fieldName": "text"
},
"viewType": "Calendar"
},
"w": 1,
"x": 1,
"y": 1
}
],
"paperHeight": 1,
"paperWidth": 1,
"printAttachments": true,
"tableName": "text"
}
}Retrieves a specific report by id
Enter your Workspace API key.
API keys can be generated and managed within the Workspace Integration settings in the Ninox app.
Report ID
a1b2c3d4e5f6Pattern: ^[a-z0-9]+$Workspace ID
5rdco4s18swuPattern: ^[a-z0-9]+$Report details retrieved successfully
Unauthorized
Report not found
Internal server error
GET /api/v1/workspace/{workspaceId}/reports/{reportId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"data": {
"fontFamily": "text",
"fontSize": 1,
"footHeight": 1,
"headHeight": 1,
"id": "text",
"inlineStyle": "text",
"labels": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"marginB": 1,
"marginL": 1,
"marginR": 1,
"marginT": 1,
"moduleName": "text",
"name": "text",
"objects": [
{
"backgroundColor": "text",
"base": "html",
"borderColor": "text",
"borderRadius": 1,
"borderStyle": "text",
"borderWidth": 1,
"expression": "text",
"fid": "text",
"file": "text",
"fn": "text",
"fontFamily": "text",
"fontSize": 1,
"fontStyle": "italic",
"fontWeight": "bold",
"h": 1,
"isAutoHeight": true,
"lineHeight": 1,
"paddingB": 1,
"paddingL": 1,
"paddingR": 1,
"paddingT": 1,
"position": "foot",
"showFoot": true,
"showHead": true,
"tableBorderStyle": 0,
"text": "text",
"textAlign": "center",
"textColor": "text",
"textDecoration": "underline",
"verticalAlign": "text",
"viewConfig": {
"columns": [
{
"agg": "text",
"conditionalStyling": [
{
"background": "text",
"cell": "text",
"color": "text",
"icon": "text",
"operand": "text",
"value": "text"
}
],
"field": "text",
"hidden": true,
"labels": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"order": 1,
"role": "text",
"width": 1
}
],
"conditionalFormatting": [
{
"backgroundColor": "text",
"bold": true,
"comparator": "contains",
"expression": "text",
"fieldName": "text",
"highlightColor": "text",
"icon": {
"color": "text",
"filling": 0,
"icon": "text"
},
"id": "text",
"italic": true,
"order": 1,
"strikethrough": true,
"target": "cell",
"textColor": "text",
"value": null
}
],
"filter": [
{
"field": "text",
"id": "text",
"operator": "text",
"value": "text"
}
],
"groupBy": [
{
"direction": "asc",
"fieldName": "text"
}
],
"search": "text",
"sort": {
"direction": "asc",
"fieldName": "text"
},
"viewType": "Calendar"
},
"w": 1,
"x": 1,
"y": 1
}
],
"paperHeight": 1,
"paperWidth": 1,
"printAttachments": true,
"tableName": "text"
}
}Renders a report for a record (or a merged run across several) as a PDF
Enter your Workspace API key.
API keys can be generated and managed within the Workspace Integration settings in the Ninox app.
Report ID
a1b2c3d4e5f6Pattern: ^[a-z0-9]+$Workspace ID
5rdco4s18swuPattern: ^[a-z0-9]+$Record to render the report for
Additional records to render into the same document (a merged print run). rowId is always included alongside these, so rowId plus rowIds together may not exceed 250 records.
Report rendered successfully
Unauthorized
Report not found
Internal server error
POST /api/v1/workspace/{workspaceId}/reports/{reportId}/print HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 24
{
"rowId": 1,
"rowIds": [
1
]
}{
"data": {
"fileName": "text",
"mimeType": "text",
"url": "text"
}
}Zuletzt aktualisiert
War das hilfreich?